Subject: Re: linux-next: manual merge of the tegra tree with the arm-soc tree

From: Thierry Reding <[email-masked]>
Date: Fri, 27 Mar 2020 14:18:31 +0100

On Fri, Mar 27, 2020 at 09:27:41AM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the tegra tree got conflicts in:
> 
>   drivers/phy/tegra/Kconfig
>   drivers/phy/tegra/xusb.c
> 
> between commits:
> 
>   5a00c7c7604f ("phy: tegra: xusb: Add usb-role-switch support")
>   23babe30fb45 ("phy: tegra: xusb: Add usb-phy support")
>   d74ce0954cb2 ("phy: tegra: xusb: Add support to get companion USB 3 port")
>   58e7bd08b569 ("phy: tegra: xusb: Add Tegra194 support")
> 
> from the arm-soc tree and commit:
> 
>   f67213cee2b3 ("phy: tegra: xusb: Add usb-role-switch support")
>   e8f7d2f409a1 ("phy: tegra: xusb: Add usb-phy support")
>   5a40fc4b934c ("phy: tegra: xusb: Add support to get companion USB 3 port")
>   1ef535c6ba8e ("phy: tegra: xusb: Add Tegra194 support")
> 
> from the tegra tree.
> 
> These are slightly different patches (the latter has been rebased).
> Also there are further commits affecting these files in the tegra tree.
> 
> I fixed it up (I just used the version from the tegra tree) and can
> carry the fix as necessary. This is now fixed as far as linux-next is
> concerned, but any non trivial conflicts should be mentioned to your
> upstream maintainer when your tree is submitted for merging.  You may
> also want to consider cooperating with the maintainer of the conflicting
> tree to minimise any particularly complex conflicts.

Olof, Arnd,

There was a bit of back and forth on this because there happened to be a
conflict with the USB tree. I tried to clarify this as replies to the PR
request:

	http://patchwork.ozlabs.org/patch/1254523/

But I suspect you may have missed those replies. The bottom line is,
there is a v2 of the pull request that has the patches that are now in
the Tegra tree. That's already part of a PR that went in through the USB
tree as a dependency to resolve the conflict.

So as a result there should be no need for ARM SoC to carry that PR. But
if you still want to merge it, please pull v2, which is here:

	git://git.kernel.org/pub/scm/linux/kernel/git/tegra/linux.git tags/tegra-for-5.7-phy-v2

Sorry for the confusion,
Thierry
_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel